### Method

# Qmi MessageGasDmsSetActiveFirmwareOutput ref

since: 1.24

#### Declaration [src]

    QmiMessageGasDmsSetActiveFirmwareOutput*
    qmi_message_gas_dms_set_active_firmware_output_ref (
      QmiMessageGasDmsSetActiveFirmwareOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.24

#### Return value

Type: `QmiMessageGasDmsSetActiveFirmwareOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.